/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;


import com.rjconsultores.ventaboletos.dao.PtovtaHorarioDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaHorario;
import com.rjconsultores.ventaboletos.service.PtovtaHorarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaHorarioService")
public class PtovtaHorarioServiceImpl implements PtovtaHorarioService {

    @Autowired
    private PtovtaHorarioDAO ptovtaHorarioDAO;

    public List<PtovtaHorario> obtenerTodos() {
        return ptovtaHorarioDAO.obtenerTodos();
    }

    public PtovtaHorario obtenerID(Integer id) {
        return ptovtaHorarioDAO.obtenerID(id);
    }

    @Transactional
    public PtovtaHorario suscribir(PtovtaHorario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaHorarioDAO.suscribir(entidad);
    }

    @Transactional
    public PtovtaHorario actualizacion(PtovtaHorario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaHorarioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PtovtaHorario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaHorarioDAO.actualizacion(entidad);
    }

    public List<PtovtaHorario> buscar(int id) {
        return ptovtaHorarioDAO.buscar(id);
    }

    
}
